List or filter users Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://developer.adra.com/doc/adra-scim/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "SCIM 2 MCP server": {
    "url": "https://developer.adra.com/doc/adra-scim/mcp"
  }
}

Close
GET /Users

Returns a list of users, optionally filtered by query parameters

Query parameters

  • filter string

    Filter string (e.g. userName eq "user@example.com")

  • startIndex integer(int32)

    The 1-based index of the first result

    Minimum value is 1. Default value is 1.

  • count integer(int32)

    Maximum number of results to return

    Minimum value is 1.

Responses

  • 200 application/scim+json

    OK

    Hide response attributes Show response attributes object
    • schemas array[string]
    • totalResults integer(int32)
    • itemsPerPage integer(int32)
    • startIndex null | integer(int32)
    • Resources null | array[object]
      Hide Resources attributes Show Resources attributes object
      • enterpriseExtension null | object

        Additional properties are NOT allowed.

        Hide enterpriseExtension attribute Show enterpriseExtension attribute null | object
        • employeeNumber null | string
      • active boolean
      • electronicMailAddresses array[object]
        Hide electronicMailAddresses attributes Show electronicMailAddresses attributes object
        • value null | string
        • itemType null | string
        • primary boolean
      • locale null | string
      • meta null | object

        Additional properties are NOT allowed.

        Hide meta attribute Show meta attribute null | object
        • resourceType null | string
      • name object

        Additional properties are NOT allowed.

        Hide name attributes Show name attributes object
        • familyName string
        • givenName string
      • preferredLanguage null | string
      • timeZone null | string
      • title null | string
      • userName string
      • externalId null | string
      • schemas null | array[string]
  • 400 application/scim+json

    Bad Request

    Hide response attributes Show response attributes object
    • type null | string
    • title null | string
    • status null | integer(int32)
    • detail null | string
    • instance null | string
  • 401 application/scim+json

    Unauthorized

    Hide response attributes Show response attributes object
    • type null | string
    • title null | string
    • status null | integer(int32)
    • detail null | string
    • instance null | string
  • 403 application/scim+json

    Forbidden

    Hide response attributes Show response attributes object
    • type null | string
    • title null | string
    • status null | integer(int32)
    • detail null | string
    • instance null | string
  • 500 application/scim+json

    Internal Server Error

    Hide response attributes Show response attributes object
    • type null | string
    • title null | string
    • status null | integer(int32)
    • detail null | string
    • instance null | string
  • 501 application/scim+json

    Not Implemented

    Hide response attributes Show response attributes object
    • type null | string
    • title null | string
    • status null | integer(int32)
    • detail null | string
    • instance null | string
GET /Users
curl \
 --request GET 'https://setup.adratest.com/api/organizations/{organizationSid}/scim/Users' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
{
  "schemas": [
    "urn:ietf:params:scim:api:messages:2.0:ListResponse"
  ],
  "totalResults": 2,
  "itemsPerPage": 10,
  "startIndex": 1,
  "Resources": [
    {
      "schemas": [
        "urn:ietf:params:scim:schemas:core:2.0:User",
        "urn:ietf:params:scim:schemas:extension:enterprise:2.0:User"
      ],
      "id": "9876fedc-ba09-8765-4321-0fedcba98765",
      "userName": "jsmith@example.com",
      "name": {
        "givenName": "John",
        "familyName": "Smith"
      },
      "emails": [
        {
          "value": "jsmith@example.com",
          "type": "work",
          "primary": true
        }
      ],
      "active": true,
      "meta": {
        "resourceType": "User"
      }
    },
    {
      "schemas": [
        "urn:ietf:params:scim:schemas:core:2.0:User",
        "urn:ietf:params:scim:schemas:extension:enterprise:2.0:User"
      ],
      "id": "abcdef12-3456-7890-abcd-ef1234567890",
      "userName": "jdoe@example.com",
      "name": {
        "givenName": "Jane",
        "familyName": "Doe"
      },
      "emails": [
        {
          "value": "jdoe@example.com",
          "type": "work",
          "primary": true
        }
      ],
      "active": true,
      "meta": {
        "resourceType": "User"
      }
    }
  ]
}
Response examples (400)
{
  "type": null,
  "title": null,
  "status": null,
  "detail": null,
  "instance": null
}
Response examples (401)
{
  "type": null,
  "title": null,
  "status": null,
  "detail": null,
  "instance": null
}
Response examples (403)
{
  "type": null,
  "title": null,
  "status": null,
  "detail": null,
  "instance": null
}
Response examples (500)
{
  "type": null,
  "title": null,
  "status": null,
  "detail": null,
  "instance": null
}
Response examples (501)
{
  "type": null,
  "title": null,
  "status": null,
  "detail": null,
  "instance": null
}